Bug 834546 - (CVE-2012-2751) CVE-2012-2751 mod_security: Multipart bypass issue related to quote parsing
CVE-2012-2751 mod_security: Multipart bypass issue related to quote parsing
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120608,repor...
: Security
Depends On: 834549 834550
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 07:16 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-10 03:33:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-06-22 07:16:52 EDT
A security flaw was found in the way mod_security, a security module for Apache HTTP server, handled situations in which both of 'Content:Disposition: attachment' and 'Content-Type: multipart' were present in HTTP headers. A remote attacker could use this flaw to conduct cross-site scripting (XSS) attacks via a specially-crafted HTML document.

References:
[1] http://mod-security.svn.sourceforge.net/viewvc/mod-security/m2/branches/2.6.x/CHANGES
[2] http://www.openwall.com/lists/oss-security/2012/06/22/2
[3] https://bugzilla.novell.com/show_bug.cgi?id=768293
[4] https://secunia.com/advisories/49576/

Relevant upstream patch:
[5] http://mod-security.svn.sourceforge.net/viewvc/mod-security?view=revision&revision=1918
Comment 1 Jan Lieskovsky 2012-06-22 07:18:49 EDT
This issue affects the versions of the mod_security package, as shipped with Fedora release of 15, 16, and 17. Please schedule an update.

--

This issue affects the versions of the mod_security package, as shipped with Fedora EPEL 5 and 6. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-06-22 07:19:46 EDT
Created mod_security tracking bugs for this issue

Affects: fedora-all [bug 834549]
Affects: epel-all [bug 834550]
Comment 3 Vasyl Kaigorodov 2014-08-04 07:32:50 EDT
As per http://www.openwall.com/lists/oss-security/2012/06/22/2, this issue was [partially] fixed in 2009, and separate CVE was assigned to it.
For search purposes:

  CVE-2009-5031 
  https://www.modsecurity.org/fisheye/browse/modsecurity/m2/branches/2.5.x/apache2/msc_multipart.c?r2=1419&r1=1366

Note You need to log in before you can comment on or make changes to this bug.